﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            Load += Form_Load;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.richTextBox1.Select(4, 5);

            this.richTextBox1.SelectionColor = Color.Red;

            this.richTextBox1.Select(16, 3);

            this.richTextBox1.SelectionFont = new Font(this.richTextBox1.Font, FontStyle.Italic);

            this.richTextBox1.Select(35, 4);

            this.richTextBox1.SelectionBackColor = Color.Yellow;
            this.richTextBox1.SelectionColor     = Color.Brown;

            this.richTextBox1.Select(0, 0);

            SelectText(this.richTextBox2, "quick");

            this.richTextBox2.SelectionColor = Color.Red;

            SelectText(this.richTextBox2, "fox");

            this.richTextBox2.SelectionFont = new Font(this.richTextBox2.Font, FontStyle.Italic);

            SelectText(this.richTextBox2, "lazy");

            this.richTextBox2.SelectionBackColor = Color.Yellow;
            this.richTextBox2.SelectionColor     = Color.Brown;

            this.richTextBox2.Select(0, 0);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 텍스트 선택하기 - SelectText(richTextBox, text)

        /// <summary>
        /// 텍스트 선택하기
        /// </summary>
        /// <param name="richTextBox">리치 텍스트 박스</param>
        /// <param name="text">텍스트</param>
        private void SelectText(RichTextBox richTextBox, string text)
        {
            int position = richTextBox.Text.IndexOf(text);

            if(position < 0)
            {
                richTextBox.Select(0, 0);
            }
            else
            {
                richTextBox.Select(position, text.Length);
            }
        }

        #endregion
    }
}